package com.cpm.lorealbaautomation.gsonGetterSetter;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class TCounterInvoice implements Serializable  {
    @SerializedName("InvId")
    @Expose
    private Integer invId;
    @SerializedName("CounterId")
    @Expose
    private Integer counterId;
    @SerializedName("InvoiceNo")
    @Expose
    private String invoiceNo;
    @SerializedName("InvoiceDate")
    @Expose
    private String invoiceDate;
    @SerializedName("ProductId")
    @Expose
    private Integer productId;
    @SerializedName("Qty")
    @Expose
    private Integer qty;
    @SerializedName("Amount")
    @Expose
    private Double amount;
    @SerializedName("InvoiceType")
    @Expose
    private String invoiceType;
    @SerializedName("CounterConfirm")
    @Expose
    private Boolean counterConfirm;
    @SerializedName("InvoiceStatus")
    @Expose
    private Boolean invoiceStatus;
    @SerializedName("VisitDate")
    @Expose
    private String visitDate;
    @SerializedName("ActualQty")
    @Expose
    private Integer actualQty;
    @SerializedName("ReasonId")
    @Expose
    private Integer reasonId;
    @SerializedName("TranId")
    @Expose
    private String tranId;

    public String getTranId() {
        return tranId;
    }

    public void setTranId(String tranId) {
        this.tranId = tranId;
    }

    public Integer getActualQty() {
        return actualQty;
    }

    public void setActualQty(Integer actualQty) {
        this.actualQty = actualQty;
    }

    public Integer getReasonId() {
        return reasonId;
    }

    public void setReasonId(Integer reasonId) {
        this.reasonId = reasonId;
    }

    public String getVisitDate() {
        return visitDate;
    }

    public void setVisitDate(String visitDate) {
        this.visitDate = visitDate;
    }

    private String finalAmount;
    private String No_ofLine;
    private String approved_line = "";
    private String source = "";
    private String upload_status = "";
    private String transactionId = "";

    public String getInvoice_img() {
        return invoice_img;
    }

    public void setInvoice_img(String invoice_img) {
        this.invoice_img = invoice_img;
    }

    private String invoice_img="";

    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    public String getUpload_status() {
        return upload_status;
    }

    public void setUpload_status(String upload_status) {
        this.upload_status = upload_status;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getApproved_line() {
        return approved_line;
    }

    public void setApproved_line(String approved_line) {
        this.approved_line = approved_line;
    }

    public String getFinalAmount() {
        return finalAmount;
    }

    public void setFinalAmount(String finalAmount) {
        this.finalAmount = finalAmount;
    }

    public String getNo_ofLine() {
        return No_ofLine;
    }

    public void setNo_ofLine(String no_ofLine) {
        No_ofLine = no_ofLine;
    }

    public Integer getInvId() {
        return invId;
    }

    public void setInvId(Integer invId) {
        this.invId = invId;
    }

    public Integer getCounterId() {
        return counterId;
    }

    public void setCounterId(Integer counterId) {
        this.counterId = counterId;
    }

    public String getInvoiceNo() {
        return invoiceNo;
    }

    public void setInvoiceNo(String invoiceNo) {
        this.invoiceNo = invoiceNo;
    }

    public String getInvoiceDate() {
        return invoiceDate;
    }

    public void setInvoiceDate(String invoiceDate) {
        this.invoiceDate = invoiceDate;
    }

    public Integer getProductId() {
        return productId;
    }

    public void setProductId(Integer productId) {
        this.productId = productId;
    }

    public Integer getQty() {
        return qty;
    }

    public void setQty(Integer qty) {
        this.qty = qty;
    }

    public Double getAmount() {
        return amount;
    }

    public void setAmount(Double amount) {
        this.amount = amount;
    }

    public String getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(String invoiceType) {
        this.invoiceType = invoiceType;
    }

    public Boolean getCounterConfirm() {
        return counterConfirm;
    }

    public void setCounterConfirm(Boolean counterConfirm) {
        this.counterConfirm = counterConfirm;
    }

    public Boolean getInvoiceStatus() {
        return invoiceStatus;
    }

    public void setInvoiceStatus(Boolean invoiceStatus) {
        this.invoiceStatus = invoiceStatus;
    }
}
